Bug 4486 - mkbootdisk in E-Commerce edition broken
mkbootdisk in E-Commerce edition broken
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mkbootdisk (Show other bugs)
6.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-11 20:26 EDT by Martin C. Messer
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-12 16:04:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin C. Messer 1999-08-11 20:26:58 EDT
mkbootdisk-1.2-3 errors with 'open /dev/fd0: No such file or
directory'.

Though the format, kernel, initrd, and lilo steps appear to
complete using verbose mode, the diskette that is created is
not bootable. This behavior occurs regardless of the device
parameter passed (fd0, fd0H1440).

Whatever changed between 1.2-2 and 1.2-3 is not good. I
assume new installs of the E-Commerce edition will not
display any errors, but will not produce a usable boot
diskette either.
Comment 1 Stephen John Smoogen 1999-08-12 15:58:59 EDT
Here is the fix

[smooge@torgo smooge]$ diff -u /sbin/mkbootdisk ./mkbootdisk.fixed
--- /sbin/mkbootdisk    Tue May 25 17:06:44 1999
+++ ./mkbootdisk.fixed  Thu Aug 12 15:55:03 1999
@@ -144,8 +144,8 @@
 mkdir $MOUNTDIR/etc
 mkdir $MOUNTDIR/dev
 mkdir $MOUNTDIR/boot
-cp -Pa $device $MOUNTDIR/dev
-cp -Pa $rootdev $MOUNTDIR/dev
+cp -Pa $device $MOUNTDIR
+cp -Pa $rootdev $MOUNTDIR
 cp -a /boot/boot.b $MOUNTDIR/boot/boot.b

 cat > $MOUNTDIR/etc/lilo.conf <<EOF
Comment 2 Bill Nottingham 1999-08-12 16:04:59 EDT
fixed in mkbootdisk-1.2.1-1.

Note You need to log in before you can comment on or make changes to this bug.